<?php
	$city_slug = $this->params['city'];

	$z_model = new Cubix_Geography_Cityzones();
	
	$c_model = new Cubix_Geography_Cities();

	$gender = 1;
	$type = false;
	if ( is_array($this->params['filter']) )
	{
		foreach ($this->params['filter'] as $v)
		{
			if ( array_search('boys', $v) )
				$gender = GENDER_MALE;
			else if ( array_search('trans', $v) )
				$gender = GENDER_TRANS;

			if ( array_search('agency', $v) )
				$type = USER_TYPE_AGENCY;
			else if ( array_search('independents', $v) )
				$type = USER_TYPE_SINGLE_GIRL;
		}
	}

	$city = $c_model->getBySlug($city_slug);

	$zones = $z_model->getZonesByCityId($city->id, $gender, $type);
?>

<? if ( count($zones) ): ?>
<div class="bbox zones-list" id="city-list">
	<span class="strong"><?= $this->t('city_zones_in') ?> <?= $city->title ?>:</span>
	<div class="clear"></div>
	<?php foreach ( $zones as $zone):?>
	<div class="zone-item">
		<a href="<?= $this->getLink('escorts', array('zone' => $zone->country_iso . '_' . $zone->zone_slug, 'filter' => null, 'page' => null), true) ?>"><span><?= $zone->zone_title ?></span> (<?= $zone->escort_count ?>)</a>
	</div>
	<?php endforeach;?>
	<div class="clear"></div>
</div>
<? endif; ?>